<flexextractor version = "1.0" description = "FlexExtractor config file to generate the Recipe data file for PVSS" >	

	<input type = "XML_XPATH">
	
		<source name = "frontend" parameter = "/rcpDefinitions/frontend">
			<data name = "appName" select = "./appName/text()" />	
		</source>
		
		<source name = "rcpClass" parameter = "/rcpDefinitions/rcpClasses/rcpClass">
			<data name = "deviceNumber" select = "./deviceNumber/text()" />	
			<data name = "className" select = "./className/text()" />
			<data name = "typeName" select = "./typeName/text()" />
			<data name = "classDesc" select = "./classDesc/text()" />
			<data name = "deviceLink" select = "./deviceLink/text()" />
			<data name = "deviceList" select = "./deviceList/text()" />
			<data name = "domain" select = "./domain/text()" />
			<data name = "nature" select = "./nature/text()" />
		</source>
		
		<source name = "rcpInst" parameter = "/rcpDefinitions/rcpInstances/rcpInstance">
			<data name = "deviceNumber" select = "./deviceNumber/text()" />	
			<data name = "instanceName" select = "./instanceName/text()" />
			<data name = "className" select = "./className/text()" />
			<data name = "description" select = "./description/text()" />
			<data name = "initial" select = "./initialRecipe/text()" />
			<data name = "values" select = "./values/text()" />
			<data name = "domain" select = "./domain/text()" />
			<data name = "nature" select = "./nature/text()" />			
		</source>
	</input>	

	<output>	
		<section condition="{frontend.appName}!=''" joinhead="" generate="PLCCONFIG;SOFT_FE;RCP_FE;{frontend.appName};N;" />
		<section condition="{rcpClass.className}!=''"   head="&#10;#&#10;# Object: UnRcpClass &#10;#&#10;# Config Line : DeviceTypeName;deviceNumber;Alias[,DeviceLinkList];Description;Diagnostics;WWWLink;Synoptic;Domain;Nature;WidgetType;RecipeType;DeviceList;&#10;#" generate="UnRcpClass;{rcpClass.deviceNumber};{rcpClass.className},{rcpClass.deviceLink};{rcpClass.classDesc};;;;{rcpClass.domain};{rcpClass.nature};UnRcpClassState;{rcpClass.typeName};{rcpClass.deviceList};" />
		<section condition="{rcpInst.instanceName}!=''" head="&#10;#&#10;# Object: UnRcpInstance&#10;#&#10;# Config Line : DeviceTypeName;deviceNumber;Alias;Description;Diagnostics;WWWLink;Synoptic;Domain;Nature;WidgetType;RecipeClass;InitialRecipe;RecipeValues;&#10;#" generate="UnRcpInstance;{rcpInst.deviceNumber};{rcpInst.className}/{rcpInst.instanceName};{rcpInst.description};;;;{rcpInst.domain};{rcpInst.nature};UnRcpInstanceState;{rcpInst.className};{rcpInst.initial};{rcpInst.values};" />
	</output>


</flexextractor>